Index: src/backend/libpq/md5.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/libpq/md5.c,v
retrieving revision 1.25
diff -c -r1.25 md5.c
*** src/backend/libpq/md5.c	29 Aug 2004 04:12:32 -0000	1.25
--- src/backend/libpq/md5.c	24 Sep 2004 16:44:03 -0000
***************
*** 18,32 ****
   */
  
  
! /*
!  *	NOTE:
!  *
!  *	There are two copies of this file, one in backend/libpq and another
!  *	in interfaces/odbc.  They should be identical.	This is done so ODBC
!  *	can be compiled stand-alone.
!  */
! 
! #if ! defined(MD5_ODBC) && ! defined(FRONTEND)
  #include "postgres.h"
  #include "libpq/crypt.h"
  #endif
--- 18,24 ----
   */
  
  
! #if ! defined(FRONTEND)
  #include "postgres.h"
  #include "libpq/crypt.h"
  #endif
***************
*** 34,51 ****
  #ifdef FRONTEND
  #include "postgres_fe.h"
  #include "libpq/crypt.h"
- #endif   /* FRONTEND */
  
- #ifdef MD5_ODBC
- #include "md5.h"
- #endif
- 
- #ifdef FRONTEND
  #undef palloc
  #define palloc malloc
  #undef pfree
  #define pfree free
! #endif
  
  
  /*
--- 26,37 ----
  #ifdef FRONTEND
  #include "postgres_fe.h"
  #include "libpq/crypt.h"
  
  #undef palloc
  #define palloc malloc
  #undef pfree
  #define pfree free
! #endif   /* FRONTEND */
  
  
  /*
Index: src/include/c.h
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/include/c.h,v
retrieving revision 1.173
diff -c -r1.173 c.h
*** src/include/c.h	23 Sep 2004 13:16:02 -0000	1.173
--- src/include/c.h	24 Sep 2004 16:44:03 -0000
***************
*** 231,237 ****
   *		used for numerical computations and the
   *		frontend/backend protocol.
   */
- /* Also defined in interfaces/odbc/md5.h */
  #ifndef HAVE_UINT8
  typedef unsigned char uint8;	/* == 8 bits */
  typedef unsigned short uint16;	/* == 16 bits */
--- 231,236 ----
Index: src/include/libpq/crypt.h
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/include/libpq/crypt.h,v
retrieving revision 1.28
diff -c -r1.28 crypt.h
*** src/include/libpq/crypt.h	29 Aug 2004 04:13:07 -0000	1.28
--- src/include/libpq/crypt.h	24 Sep 2004 16:44:03 -0000
***************
*** 15,21 ****
  
  #include "libpq/libpq-be.h"
  
- /* Also defined in interfaces/odbc/md5.h */
  #define MD5_PASSWD_LEN	35
  
  #define isMD5(passwd)	(strncmp((passwd),"md5",3) == 0 && \
--- 15,20 ----
***************
*** 27,33 ****
  extern bool md5_hash(const void *buff, size_t len, char *hexsum);
  extern bool CheckMD5Pwd(char *passwd, char *storedpwd, char *seed);
  
- /* Also defined in interfaces/odbc/md5.h */
  extern bool EncryptMD5(const char *passwd, const char *salt,
  		   size_t salt_len, char *buf);
  
--- 26,31 ----
